FreeCAD

Package Contents

Classes

ComplexGeoData()

Father of all complex geometric data types

DocumentObject()

Document()

GeoFeature()

Vector(other: Vector)

Material()

Matrix()

BoundBox()

Placement()

Rotation()

Axis()

ParameterGrp()

Functions

getDocument(name: str)

ParamGet(path: str)

saveParameter(config: str = …)

Version()

getResourceDir()

getUserAppDataDir()

class FreeCAD.ComplexGeoData

Bases: FreeCAD.Base.Persistence

Father of all complex geometric data types

getFacesFromSubelement(self)

Return vertexes and faces from a sub-element

property BoundBox(self)

Get the BoundBox of the object

property Placement(self)

Get the current transformation of the object as placement

property Matrix(self)

Get the current transformation of the object as matrix

property Tag(self)

Geometry Tag

class FreeCAD.DocumentObject
isDerivedFrom(self, class_name: str)
property Objects(self)
property Visibility(self)
property ViewObject(self)

If the GUI is loaded the associated view provider is returned or None if the GUI is not up

property Label(self)
class FreeCAD.Document
property Objects(self)
property ActiveView(self)
getObject(self, name: str)
addObject(self, cpp_type: str, name: str)
resetEdit(self)
recompute(self)
openTransaction(self, name: str)
commitTransaction(self)
FreeCAD.GuiUp :int
FreeCAD.DraftWorkingPlane :Plane
FreeCAD.activeDraftCommand
FreeCAD.Console :Any
FreeCAD.ActiveDocument :Optional[Document]
FreeCAD.getDocument(name: str) → Any
FreeCAD.ParamGet(path: str)ParameterGrp
FreeCAD.saveParameter(config: str = ...) → None
FreeCAD.Version() → None
class FreeCAD.GeoFeature

Bases: FreeCAD.DocumentObject

property Placement(self)
class FreeCAD.Vector(other: Vector)
property Length(self)
add(self, p: Vector)
sub(self, p: Vector)
multiply(self, factor: float)
cross(self, v: Vector)
normalize(self)
__iter__(self)
FreeCAD.getResourceDir() → str
FreeCAD.getUserAppDataDir() → str
class FreeCAD.Material
class FreeCAD.Matrix
class FreeCAD.BoundBox
add(self, box: BoundBox)
property XMin(self)
property YMin(self)
property ZMin(self)
property Center(self)
property XLength(self)
property YLength(self)
class FreeCAD.Placement
multVec(self, v: Vector)
move(self, v: Vector)
property Base(self)
property Rotation(self)
class FreeCAD.Rotation
multiply(self, vector: Union[Vector, Rotation])
multVec(self, v: Union[Vector, Rotation])
property Q(self)
class FreeCAD.Axis
class FreeCAD.ParameterGrp
GetString(self, name: str, default: str = ...)
GetBool(self, name: str, default: bool = ...)
GetInt(self, name: str, default: int = ...)
GetFloat(self, name: str, default: float = ...)
SetString(self, name: str, value: str)
SetBool(self, name: str, value: bool)
SetInt(self, name: str, value: int)
SetFloat(self, name: str, value: float)